# Posts: getByPath

Retrieves a post by path.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/posts/getByPath#try-it) or [see an example](https://developers.google.com/blogger/docs/3.0/reference/posts/getByPath#examples).

[Authorization](https://developers.google.com/blogger/docs/3.0/using#auth) is required if the post is on a blog that is private.  

The path of a post is the part of the post URL after the host. For example, a blog post with the URL `http://code.blogger.com/2011/09/blogger-json-api-now-available.html` has a path of `/2011/09/blogger-json-api-now-available.html`.

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/blogs/blogId/posts/bypath
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | The ID of the blog to fetch the post from. |
| `path` | `string` | Path of the Post to retrieve. |
| **Optional parameters** |||
| `maxComments` | `unsigned integer` | Maximum number of comments to retrieve for a post. If this parameter is left unspecified, no comments will be returned as part of the post resource. |
| `view` | `string` | Acceptable values are: - "`ADMIN`": Admin level detail - "`AUTHOR`": Author level detail - "`READER`": Admin level detail |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Posts resource](https://developers.google.com/blogger/docs/3.0/reference/posts#resource) in the response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/blogger/docs/3.0/libraries) for a list of supported languages).

### Java

Uses the [Java client library](http://code.google.com/p/google-api-java-client/)

```java
// The BlogId for the http://buzz.blogger.com/ blog.
String BUZZ_BLOG_ID = "2399953";

// The URL path component for a buzz post.
String BUZZ_POST_PATH = "/2012/01/engage-with-your-readers-through.html";

// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
	JSON_FACTORY, new LocalServerReceiver(),
	Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.
Blogger blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY)
	.setApplicationName("Blogger-PostsGetByPath-Snippet/1.0")
	.setHttpRequestInitializer(credential).build();

// The request action.
GetByPath postsGetByPathAction = blogger.posts().getByPath(BUZZ_BLOG_ID);
postsGetByPathAction.setPath(BUZZ_POST_PATH);

// Restrict the result content to just the data we need.
postsGetByPathAction.setFields("content,published,title");

// This step sends the request to the server.
Post post = postsGetByPathAction.execute();

// Now we can navigate the response.
System.out.println("Title: " + post.getTitle());
System.out.println("Published: " + post.getPublished());
System.out.println("Content: " + post.getContent());
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.